{% extends 'checkout/layout.html' %}
{% load site_configs_tags %}
{% load static %}
{% load widget_tweaks %}

{% block checkout_nav %}
    {% include 'checkout/nav.html' with step=1 %}
{% endblock %}

{% block styles %}
    {{ block.super }}
    <link rel = "stylesheet" href = "{% static 'web/css/disable_quick_basket.css' %}">
{% endblock %}

{% block content_block_attrs %}{% if basket.is_empty %}empty{% endif %}{% endblock %}

{% block content %}
    {% get_configs 'common.Contacts' as contacts %}
    <div class="basket-info">
        <div class="table-section
            {% if request.basket.contains_only_forbidden_for_delivery_products %}all{% endif %}
            {% if request.basket.contains_forbidden_for_delivery_products %}forbidden-for-delivery{% endif %}
           ">
            <div class="table">
                <div class="table-head">
                    <div class="table-row">
                        <div class="cell first">Наименование товара</div>
                        <div class="cell second">Цена</div>
                        <div class="cell third">Количество</div>
                        <div class="cell four">СУММА</div>
                    </div>
                </div>
                <div class="table-body">
                    <div class="updatable">
                        {% include 'basket/partials/basket_content.html' %}
                    </div>
                    {% include 'web/partials/loading_overlay.html' %}
                </div>
            </div>
            <div class="forbidden-for-delivery-products-info">
                В Вашей корзине есть товары запрещенные к дистанционной продаже (выделены красным).
                Данные товары можно забрать только самовывозом в наших точках продаж.
                <span class="not-only-forbidden-in-basket">
                    Пожалуйста, удалите эти товары из корзины и Вам откроются для выбора все способы доставки.
                    Товары, запрещенные к дистанционной продаже, на сайте необходимо оформить отдельным заказом.
                </span>
            </div>
        </div>
        <div class="discont-section">
            <div class="row">
                <div class="col-xs-12 col-lg-8">
                    <div class="row form-block justify-content-start contacts-form-wrapper">
                        <div class="sdress-sec">
                            <div class="wrap">
                                <div class="title">Личные данные получателя заказа:</div>
                                <form class="form-inline inform-form" method="post" action="{% url 'checkout:contacts' %}" data-parsley-validate="" id="contactsForm"
                                    data-yandex-goal="dalee1">
                                    {% csrf_token %}
                                    <div class="form-group" id="contactsFormNameField">
                                        <label>ФИО</label>
                                        <div class="form-control form-control-name name-field-js">
                                            <input type="hidden" class="form-control" required placeholder="Имя" name="name"
                                                {% if user_contacts.name %}value="{{ user_contacts.name }}"{% endif %}
                                            >
                                            <input data-parsley-maxlength="255" data-parsley-required="true" data-parsley-class-handler="#contactsFormNameField" name="first-name" type="text" placeholder="Имя*">
                                            <input name="second-name" type="text" placeholder="Фамилия">
                                        </div>
                                    </div>
                                    <div class="form-group" id="contactsFormEmailField">
                                        <label>эл. почта</label>
                                        <input type="email" class="form-control" placeholder="" name="email"
                                            data-parsley-required="true"
                                            data-parsley-maxlength="255"
                                            data-parsley-class-handler="#contactsFormEmailField"
                                            {% if user_contacts.email %}value="{{ user_contacts.email }}"{% endif %}
                                        >
                                        <small>Для получения информации о заказе</small>
                                    </div>
                                    <div class="form-group" id="contactsFormPhoneField">
                                        <label>Телефон:</label>
                                        <input type="text" class="form-control phone-input" required placeholder="" name="phone_number"
                                            data-parsley-required="true" data-parsley-maxlength="25"
                                            data-parsley-class-handler="#contactsFormPhoneField"
                                            data-parsley-validate-phone-number=""
                                            {% if user_contacts.phone_number %}value="{{ user_contacts.phone_number }}"{% endif %}
                                        >
                                    </div>
                                    <div class="form-group ">
                                        <label>Комментарии к заказу:</label>
                                        <textarea class="form-control" placeholder="" name="notes">{% if user_contacts.notes %}{{ user_contacts.notes }}{% endif %}</textarea>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 col-lg-4">
                    <div class="row">
                        <div class="disc col-xs-12 col-md-6 col-lg-12">
                        <div class="wrap clearfix">
                            <div class="title">У меня есть купон на скидку / подарочная карта</div>
                            <form class="form-inline" method="post" action="{% url 'basket:vouchers-add' %}?render_basket=True"
                                data-fetch-url="{% url 'voucher_extension:voucher-fetch' %}"
                            >
                                {% csrf_token %}
                                <div class="form-group">
                                    {% render_field voucher_form.code class="form-control" placeholder="Введите код" autocomplete="off" %}
                                    {% render_field voucher_form.email hidden=hidden %}
                                    {% render_field voucher_form.phone hidden=hidden %}
                                    <div class="error"></div>
                                </div>
                                <div class="success"></div>
                                <div class="info"></div>
                                <button type="submit" class="btn btn__transparent" disabled>Активировать</button>
                            </form>
                        </div>
                    </div>
                        <div class="itog {% if basket.has_gift_card %}gift-card{% endif %}  col-xs-12 col-md-6 col-lg-12">
                        <span class="old-price">
                            {% if basket.is_tax_known %}
                                {{ basket.total_incl_tax_excl_gift_card|floatformat:"0" }}
                            {% else %}
                                {{ basket.total_excl_tax_excl_gift_card|floatformat:"0" }}
                            {% endif %}
                        </span>
                        <div class="wrap clearfix">
                            <div class="all">ИТОГО:</div>
                            <div class="price">
                                <span class="cena">{% spaceless %}
                                    {% if basket.is_tax_known %}
                                        {{ basket.total_incl_tax|floatformat:"0" }}
                                    {% else %}
                                        {{ basket.total_excl_tax|floatformat:"0" }}
                                    {% endif %}
                                {% endspaceless %}</span>
                                <span class="rub-icon">
                                    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                        <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                    </svg>
                                </span>
                            </div>
                            <div class="btns-block">
                                <button class="btn btn-block btn__gold" id="submitNextButton">ДАЛЕЕ <i class="fa fa-angle-right"></i></button>
                                <button class="btn btn-block btn__gray" data-toggle="modal"
                                        data-target="#basketfastbuy">Быстрая покупка
                                </button>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="panel-section">
            <p class="text-center">Так же заказ можно оформить по телефону:
                Для этого позвоните по номеру {{ contacts.phone }}</p>
        </div>
    </div>
    <div class="onempty">
        <div>
            Ваша корзина пуста<br>
            <a href="{% url 'catalogue:index' %}" class="cont">Продолжить покупки</a>
        </div>
    </div>
{% endblock %}

{% block modal_windows %}
    {{ block.super }}
    {% include 'web/modals/basket_fast_buy.html' %}
{% endblock %}